net.sf.jasperreports.charts.base

## Class JRBaseXyzDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.base.JRBaseChartDataset
    - - net.sf.jasperreports.charts.base.JRBaseXyzDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRXyzDataset, JRChartDataset, JRCloneable, JRElementDataset

      public class JRBaseXyzDataset
      extends JRBaseChartDataset
      implements JRXyzDataset

  Version:
    $Id: JRBaseXyzDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID`
    `protected JRXyzSeries[]` | `xyzSeries`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseXyzDataset(JRChartDataset dataset)`
    `JRBaseXyzDataset(JRXyzDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRXyzSeries[]` | `getSeries()`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### xyzSeries

          protected JRXyzSeries[] xyzSeries

  - ### Constructor Detail

    - #### JRBaseXyzDataset

          public JRBaseXyzDataset(JRChartDataset dataset)

    - #### JRBaseXyzDataset

          public JRBaseXyzDataset(JRXyzDataset dataset,
                          JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeries

          public JRXyzSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRXyzDataset`
      Returns:
        an array of `JRXyzSeries` objects representing the series for the XYZ charts.
      See Also:
        `JRXyzSeries`

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com